Subject: bug#49278: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Sep 2021 22:52:40 -0400

>> is just misleading
> Agreed.

Great!

>> The major mode I use for ELisp is called `emacs-lisp-mode`, the major
>> mode I use for OCaml is `tuareg-mode`, the major mode I use for C is
>> `sm-c-mode`.  The most popular major mode for Perl is arguably
>> `cperl-mode`.  It's common for major modes's names to be related yet
>> not identical to the language they support.
> OK, and?  I guess you're arguing to change the
> description but not the name of lisp-mode.

I don't have an opinion formed on renaming the mode.
My point is just that it is orthogonal to the documentation of what the
mode does.

        Stefan